Skip to main content
GET
/
migration_mappings
/
{mapping_id}
Get migration mapping
curl --request GET \
  --url https://api-sandbox.synctera.com/v0/migration_mappings/{mapping_id} \
  --header 'Authorization: Bearer <token>'
{
  "creation_time": "2010-05-06T12:23:34.321Z",
  "id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
  "last_updated_time": "2010-05-06T12:23:34.321Z",
  "old_resource_id": "abc123",
  "old_tenant": "abcdef_ghijkl",
  "resource_id": "def456",
  "tenant": "abcdef_ghijkl",
  "deletion_time": "2010-05-06T12:23:34.321Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

mapping_id
string<uuid>
required

The unique identifier for the migration mapping.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Response

Migration mapping representation.

Maps a resource identity from an old tenant to a new tenant.

creation_time
string<date-time>
required

The date and time the resource was created.

Example:

"2010-05-06T12:23:34.321Z"

id
string<uuid>
required

The unique identifier for the migration mapping.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

last_updated_time
string<date-time>
required

The date and time the resource was last updated.

Example:

"2010-05-06T12:23:34.321Z"

old_resource_id
string
required

The previous resource ID under the old tenant.

Example:

"abc123"

old_tenant
string
required

The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.

Example:

"abcdef_ghijkl"

resource_id
string
required

The new/current resource ID.

Example:

"def456"

resource_type
enum<string>
required

The type of resource being mapped.

Available options:
ACCOUNT,
BUSINESS,
PERSON
tenant
string
required

The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.

Example:

"abcdef_ghijkl"

deletion_time
string<date-time> | null

The date and time the resource was deleted.

Example:

"2010-05-06T12:23:34.321Z"